Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

add nokogiri as dependency

  • Loading branch information...
commit 2df6b0e5ed5f02f330f6db1a2678553cf15c0765 1 parent 195f46c
@cantino cantino authored
Showing with 32 additions and 31 deletions.
  1. +1 −1  Rakefile
  2. +31 −30 ruby-readability.gemspec
View
2  Rakefile
@@ -11,7 +11,7 @@ begin
gem.homepage = "http://github.com/iterationlabs/ruby-readability"
gem.authors = ["Andrew Cantino", "starrhorne", "libc", "Kyle Maxwell"]
gem.add_development_dependency "rspec", ">= 1.2.9"
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
+ gem.add_dependency 'nokogiri', '>= 1.4.2'
end
Jeweler::GemcutterTasks.new
rescue LoadError
View
61 ruby-readability.gemspec
@@ -1,15 +1,15 @@
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{ruby-readability}
- s.version = "0.2.1"
+ s.version = "0.2.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Andrew Cantino", "starrhorne", "libc", "Kyle Maxwell"]
- s.date = %q{2010-11-07}
+ s.date = %q{2011-01-26}
s.default_executable = %q{readability}
s.description = %q{Port of arc90's readability project to ruby}
s.email = %q{andrew@iterationlabs.com}
@@ -19,40 +19,38 @@ Gem::Specification.new do |s|
]
s.files = [
".document",
- ".gitignore",
- "README",
- "Rakefile",
- "VERSION",
- "bin/readability",
- "lib/readability.rb",
- "ruby-readability.gemspec",
- "spec/fixtures/cant_read.html",
- "spec/fixtures/sample.html",
- "spec/fixtures/samples/blogpost_with_links-fragments.rb",
- "spec/fixtures/samples/blogpost_with_links.html",
- "spec/fixtures/samples/channel4-1-fragments.rb",
- "spec/fixtures/samples/channel4-1.html",
- "spec/fixtures/samples/foxnews-india1-fragments.rb",
- "spec/fixtures/samples/foxnews-india1.html",
- "spec/fixtures/samples/globemail-ottawa-cuts-fragments.rb",
- "spec/fixtures/samples/globemail-ottawa-cuts.html",
- "spec/fixtures/should_not_truncate.txt",
- "spec/readability_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb"
+ "README",
+ "Rakefile",
+ "VERSION",
+ "bin/readability",
+ "lib/readability.rb",
+ "ruby-readability.gemspec",
+ "spec/fixtures/cant_read.html",
+ "spec/fixtures/sample.html",
+ "spec/fixtures/samples/blogpost_with_links-fragments.rb",
+ "spec/fixtures/samples/blogpost_with_links.html",
+ "spec/fixtures/samples/channel4-1-fragments.rb",
+ "spec/fixtures/samples/channel4-1.html",
+ "spec/fixtures/samples/foxnews-india1-fragments.rb",
+ "spec/fixtures/samples/foxnews-india1.html",
+ "spec/fixtures/samples/globemail-ottawa-cuts-fragments.rb",
+ "spec/fixtures/samples/globemail-ottawa-cuts.html",
+ "spec/fixtures/should_not_truncate.txt",
+ "spec/readability_spec.rb",
+ "spec/spec.opts",
+ "spec/spec_helper.rb"
]
s.homepage = %q{http://github.com/iterationlabs/ruby-readability}
- s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.7}
s.summary = %q{Port of arc90's readability project to ruby}
s.test_files = [
"spec/fixtures/samples/blogpost_with_links-fragments.rb",
- "spec/fixtures/samples/channel4-1-fragments.rb",
- "spec/fixtures/samples/foxnews-india1-fragments.rb",
- "spec/fixtures/samples/globemail-ottawa-cuts-fragments.rb",
- "spec/readability_spec.rb",
- "spec/spec_helper.rb"
+ "spec/fixtures/samples/channel4-1-fragments.rb",
+ "spec/fixtures/samples/foxnews-india1-fragments.rb",
+ "spec/fixtures/samples/globemail-ottawa-cuts-fragments.rb",
+ "spec/readability_spec.rb",
+ "spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
@@ -61,11 +59,14 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<rspec>, [">= 1.2.9"])
+ s.add_runtime_dependency(%q<nokogiri>, [">= 1.4.2"])
else
s.add_dependency(%q<rspec>, [">= 1.2.9"])
+ s.add_dependency(%q<nokogiri>, [">= 1.4.2"])
end
else
s.add_dependency(%q<rspec>, [">= 1.2.9"])
+ s.add_dependency(%q<nokogiri>, [">= 1.4.2"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.